Go to the first, previous, next, last section, table of contents.

# 7 Platform-specific features

This section lists the settings and commands that are platform specificm, ie which control the behaviour and appearance of the host user interface.

## 7.1 Common features

### 7.1.1 Common command line options

`-windowxpos <xpos>`
  Set initial horizontal window position. (`Window0Xpos`).
`-windowypos <ypos>`
  Set initial vertical window position. (`Window0Ypos`).
`-windowxpos1 <xpos>`
  Set initial horizontal window position for the second window (C128). (`Window1Xpos`).
`-windowypos1 <ypos>`
  Set initial vertical window position for the second window (C128). (`Window1Ypos`).
`-windowwidth <width>`
  Set initial window width. (`Window0Width`).
`-windowheight <height>`
  Set initial window height. (`Window0Height`).
`-windowwidth1 <width>`
  Set initial window width for the second window (C128), (`Window1Width`).
`-windowheight1 <height>`
  Set initial window height for the second window (C128), (`Window1Height`).
`-saveres`
`+saveres`
  Enable/disable automatic saving of settings on exit (`SaveResourcesOnExit=1`, `SaveResourcesOnExit=0`).
`-confirmonexit`
  Confirm quitting VICE (`ConfirmOnExit=1`).
`+confirmonexit`
  Never confirm quitting VICE (`ConfirmOnExit=0`).
`-kbdstatusbar`
`+kbdstatusbar`
  Enable/Disable keyboard-status bar (when status bar is enabled) (`KbdStatusbar=1`, `KbdStatusbar=0`).
`-minimized`
`+minimized`
  Start/Do not start with minimized window (`StartMinimized=1`, `StartMinimized=0`).
`-jamaction <Type>`
  Specify the action to take when the CPU encounters a 'JAM' opcode (`JAMAction`) (0: Show dialog, 1: Continue emulation, 2: Start monitor, 3: Reset, 4: Power cycle, 5: Quit emulator).
`-directory <Path>`
  Specify the system file search path (`Directory`).

### 7.1.2 Common resources

`Window0Xpos`
`Window0Ypos`
  Integers specifying the position of the (first) emulator window (all emulators except vsid).
`Window1Xpos`
`Window1Ypos`
  Integers specifying the position of the (second) emulator window (all emulators except vsid).
`Window0Width`
`Window0Height`
  Integers specifying the size of the (first) emulator window (all emulators except vsid).
`Window1Width`
`Window1Height`
  Integers specifying the size of the (second) emulator window (all emulators except vsid).
`DoCoreDump`
  Boolean specifying whether the emulator should dump core when it gets a signal (all emulators except vsid).
`LogFileName`
  String specifying the filename of the current log file.
`ExitScreenshotName`
  String specifying the filename of a screenshot file that will be written when the emulator exits.
`ExitScreenshotName1`
  String specifying the filename of a screenshot file that will be written when the emulator exits. (x128)
`SaveResourcesOnExit`
  Boolean specifying whether the emulator should save changed settings before exiting. If this is enabled, the user will be always prompted first, in case the settings have changed.
`ConfirmOnExit`
  Boolean specifying whether to show a confirmation dialog on exit.
`KbdStatusbar`
  Boolean specifying whether the keyboard-status bar is enabled.
`StartMinimized`
  Boolean specifying whether the emulator should start minimized
`JAMAction`
  Integer specifying the action to take when the CPU encounters a 'JAM' opcode. (0: Show dialog, 1: Continue emulation, 2: Start monitor, 3: Reset, 4: Power cycle, 5: Quit emulator)
`Directory`
  String specifying the search path for system files. It is defined as a sequence of directory names, separated by colons (``:'`), just like the `PATH` variable in the shell. The special string ``$$'` stands for the default search path.

## 7.2 GTK3 specific features

This section lists the settings and commands that are common and specific to Unix, and are thus not present in other platforms.

### 7.2.1 GTK3 specific resources

`FullscreenDecorations`
  Boolean specifying whether the menu and statusbar are shown in full screen mode.
`PauseOnSettings`
  Boolean specifying wheter to pause the emulation when triggering the settings dialog. If set, the emulation will pause when triggering the settings dialog. When closing the settings dialog the pause state will revert to its state before triggering the settings UI.
`JoyDevice1`
  Integer specifying which joystick device the emulator should use for the emulation of joystick 1 (all emulators except xcbm2, xpet and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`JoyDevice2`
  Integer specifying which joystick device the emulator should use for the emulation of joystick 2 (all emulators except xcbm2, xpet, xvic and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`JoyDevice3`
  Integer specifying which joystick device the emulator should use for the emulation of extra joystick 1 (all emulators except xcbm5x0 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`JoyDevice4`
  Integer specifying which joystick device the emulator should use for the emulation of extra joystick 2 (all emulators except xcbm5x0, xplus4 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)

The available joysticks might differ depending on operating system and joystick support in the OS.

`Devices 4..9`
  Only available if joystick support is available at compile time.
`Devices 10 and 11`
  Only available if digital joystick support is available at compile time.
`Devices 12 and 13`
  Only available if USB joystick support is available at compile time.

The following resources are only available if MIDI support is available at compile time.

`MIDIName`
  String specifying the name of the MIDI client (default:"VICE") (ALSA and macOS only, x64, x64sc, xscpu64, x128 and xvic only).
`MIDIInDev`
  String specifying the OSS MIDI input device (Windows and OSS, x64, x64sc, xscpu64, x128 and xvic only).
`MIDIOutDev`
  String specifying the OSS MIDI output device (Windows and OSS, x64, x64sc, xscpu64, x128 and xvic only).
`MIDIInName`
  String specifying the name of the MIDI input port (default:"VICEInput") (macOS only, x64, x64sc, xscpu64, x128 and xvic only).
`MIDIOutName`
  String specifying the name of the MIDI output port (default:"VICEOutput") (macOS only, x64, x64sc, xscpu64, x128 and xvic only).

The following resource is only available if MIDI support and ALSA support is available at compile time.

`MIDIDriver`
  Enum specifying the MIDI driver (Unix - x64, x64sc, xscpu64, x128 and xvic only). (0: OSS, 1: ALSA)

### 7.2.2 GTK3 specific command-line options

`-fullscreen-decorations`
`+fullscreen-decorations`
  Enable/disable fullscreen decorations
`-pauseonsettings`
  Pause emulation when enabling the settings dialog. (`PauseOnSettings=1`).
`+pauseonsettings`
  Do not pause emulation when enabling the settings dialog. (`PauseOnSettings=0`).
`-joydev1 <0-3> / <0-9> / <0-11> / <0-13>`
  Set the device for joystick emulation of port 1 (`JoyDevice1`) (all emulators except xcbm2, xpet and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`-joydev2 <0-3> / <0-9> / <0-11> / <0-13>`
  Set the device for joystick emulation of port 2 (`JoyDevice2`) (all emulators except xcbm2, xpet, xvic and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`-extrajoydev1 <0-3> / <0-9> / <0-11> / <0-13>`
  Set device for extra joystick port 1 (`JoyDevice3`) (all emulators except xcbm5x0 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`-extrajoydev2 <0-3> / <0-9> / <0-11> / <0-13>`
  Set device for extra joystick port 2 (`JoyDevice4`) (all emulators except xcbm5x0, xplus4 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)

The available joysticks might differ depending on operating system and joystick support in the OS.

`Devices 4..9`
  Only available if joystick support is available at compile time.
`Devices 10 and 11`
  Only available if digital joystick support is available at compile time.
`Devices 12 and 13`
  Only available if USB joystick support is available at compile time.

The following command-line options are only available if MIDI support is available at compile time.

`-midiname <name>`
  Specify the name of the MIDI client (default:"VICE") (`MIDIName`) (ALSA and macOS only, x64, x64sc, xscpu64, x128 and xvic only).
`-midiin <name>`
  Specify OSS MIDI-In device (`MIDIInDev`) (Windows and OSS, x64, x64sc, xscpu64, x128 and xvic only).
`-midiout <name>`
  Specify OSS MIDI-Out device (`MIDIOutDev`) (Windows and OSS, x64, x64sc, xscpu64, x128 and xvic only).
`-midiinname <name>`
  Specify the name of the MIDI input port (default:"VICEInput") (`MIDIInName`) (macos, x64, x64sc, xscpu64, x128 and xvic only).
`-midioutname <name>`
  Specify the name of the MIDI output port (default:"VICEOutput") (`MIDIOutName`) (macos, x64, x64sc, xscpu64, x128 and xvic only).

The following command-line option is only available if MIDI support and ALSA support is available at compile time.

`-mididrv <driver>`
  Specify MIDI driver (`MIDIDriver`) (Unix - x64, x64sc, xscpu64, x128 and xvic only). (0: OSS, 1: ALSA)

Go to the first, previous, next, last section, table of contents.